IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[finalDS2Table]') AND type = 'U')
CREATE TABLE [dbo].[finalDS2Table]
(
    [dsname] varchar(20) COLLATE Chinese_PRC_CI_AS NULL,
    [tbname] varchar(20) COLLATE Chinese_PRC_CI_AS NULL,
)